/**
 * @Author  HonorLee (dev@honorlee.me)
 * @Version 1.0 (2018-05-27)
 * @License MIT
 */
'use strict'
global.M = function(moduleName){
    console.log(this)
    if(!moduleName){
        LOGGER.error('Module name is empty!');
        return null;
    }
    let modulePath = Core.Path.Module + '/' + moduleName + '.js';
    let Module;
    try{
        Module = require(modulePath);
    }catch(e){
        LOGGER.error('Module load error:');
        LOGGER.error(e);
        return null;
    }
    return Module;
};